package com.ekexiu.console.system.po;

import com.ekexiu.console.basepo.CreateTimeSupported;
import com.ekexiu.console.system.pojo.ConsultInfo;
import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.defaultImpl.StringHandler;
import org.jfw.apt.orm.core.defaultImpl.WIntHandler;
import org.jfw.apt.orm.core.enums.DE;

/**
 * Created by TT on 2017/5/3.
 */
@PrimaryKey("tidingsId")
@Table
public class Tidings implements CreateTimeSupported {
    private String tidingsId;
    private String tidingsContant;
    private String senderId;
    private String consultId;
    private String createTime;
    private Integer readStatus;
    private ConsultInfo consultInfo;

    public ConsultInfo getConsultInfo() {
        return consultInfo;
    }
    public void setConsultInfo(ConsultInfo consultInfo) {
        this.consultInfo = consultInfo;
    }

    @Column(DE.id_32)
    public String getTidingsId() {
        return tidingsId;
    }
    public void setTidingsId(String tidingsId) {
        this.tidingsId = tidingsId;
    }

    @Column(handlerClass=StringHandler.class,dbType="TEXT",nullable=false,insertable=true,renewable=false,queryable=true)
    public String getTidingsContant() {
        return tidingsContant;
    }
    public void setTidingsContant(String tidingsContant) {
        this.tidingsContant = tidingsContant;
    }

    @Column(DE.id_32)
    public String getSenderId() {
        return senderId;
    }
    public void setSenderId(String senderId) {
        this.senderId = senderId;
    }

    @Column(DE.id_32)
    public String getConsultId() {
        return consultId;
    }
    public void setConsultId(String consultId) {
        this.consultId = consultId;
    }

    public String getCreateTime() {
        return createTime;
    }
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    @Column(handlerClass=WIntHandler.class,dbType="INT",nullable=false,insertable=true,renewable=true,queryable=true)
    public Integer getReadStatus() {
        return readStatus;
    }
    public void setReadStatus(Integer readStatus) {
        this.readStatus = readStatus;
    }

}
